> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# List Jurisdictions Hierarchy

GET https://rest.avatax.com/api/v2/definitions/jurisdictions/hierarchy

> **Access control:** this endpoint is available to users with the `everyone` role.

Returns a list of all Avalara-supported taxing jurisdictions hirearchy.
            
This API Lists the hierarchical relationship of jurisdictions for US states, identifying the cities and special taxing jurisdictions (STJs) for a given county within a state.
            
The rate, salesRate, and useRate fields are not available on the JurisdictionHirearchyModels returned by this API.

Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax/public-reference/list-jurisdictions-hierarchy

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Query parameters

- `$filter` (string, optional) — A filter statement to identify specific records to retrieve. For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* parentId, nexus, rate, salesRate, signatureCode, useRate, isAcm, isSst, createDate, isLocalAdmin, taxAuthorityTypeId
- `$top` (integer, optional) — If nonzero, return no more than this number of results. Used with `$skip` to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.
- `$skip` (integer, optional) — If nonzero, skip this number of results before returning data. Used with `$top` to provide pagination for large datasets.
- `$orderBy` (string, optional) — A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`.

### Headers

- `X-Avalara-Client` (string, optional, default: Swagger UI; 26.7.0; Custom; 1.0) — Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) .

## Response

### 200

Success

- `@recordsetCount` (integer, optional)
- `value` (list of JurisdictionHierarchyModel, optional)
- `@nextLink` (string, optional)
- `pageKey` (string, optional)

## Types

### JurisdictionHierarchyModel

Represents information about a single legal taxing jurisdiction with parent jurisdiction

- `code` (string, required) — The code that is used to identify this jurisdiction
- `name` (string, required) — The name of this jurisdiction
- `type` (enum, required) — The type of the jurisdiction, indicating whether it is a country, state/region, city, for example.
  - Allowed values: `Country`, `State`, `County`, `City`, `Special`
- `signatureCode` (string, required) — The Avalara-supplied signature code for this jurisdiction.
- `parentId` (integer, optional) — ParentId of the Jurisdiction
- `nexus` (list of JurisdictionNexusModel, optional) — List of Nexus details associated with the jurisdiction
- `rate` (double, optional) — The base rate of tax specific to this jurisdiction.
- `salesRate` (double, optional) — The "Sales" tax rate specific to this jurisdiction.
- `region` (string, optional) — Name or ISO 3166 code identifying the region within the country. This field supports many different region identifiers: * Two and three character ISO 3166 region codes * Fully spelled out names of the region in ISO supported languages * Common alternative spellings for many regions For a full list of all supported codes and names, please see the Definitions API `ListRegions`.
- `useRate` (double, optional) — The "Seller's Use" tax rate specific to this jurisdiction.
- `city` (string, optional) — The city name of this jurisdiction
- `county` (string, optional) — The county name of this jurisdiction
- `country` (string, optional) — Name or ISO 3166 code identifying the country of this jurisdiction. This field supports many different country identifiers: * Two character ISO 3166 codes * Three character ISO 3166 codes * Fully spelled out names of the country in ISO supported languages * Common alternative spellings for many countries For a full list of all supported codes and names, please see the Definitions API `ListCountries`.
- `shortName` (string, optional) — A short name of the jurisidiction
- `stateFips` (string, optional) — State FIPS code
- `countyFips` (string, optional) — County FIPS code
- `placeFips` (string, optional) — City FIPS code
- `id` (integer, optional) — Unique AvaTax Id of this Jurisdiction
- `effectiveDate` (datetime, optional) — The date this jurisdiction starts to take effect on tax calculations
- `endDate` (datetime, optional) — The date this jurisdiction stops to take effect on tax calculations
- `isAcm` (boolean, optional) — The isAcm specific to this jurisdiction.
- `isSst` (boolean, optional) — The isSst specific to this jurisdiction.
- `createDate` (datetime, optional) — The CreateDate specific to this jurisdiction.
- `isLocalAdmin` (boolean, optional) — IsLocalAdmin.
- `modifiedDate` (datetime, optional) — ModifiedDate
- `taxAuthorityTypeId` (integer, optional) — TaxAuthorityTypeId.

### JurisdictionNexusModel

Model to represent the detail of NexusTaxTpeGroup and TaxName for Jurisdiction

- `taxTypeGroupId` (string, optional) — TaxTypeGroupId for Nexus of Jurisdiction
- `nexusTaxTypeGroupId` (string, optional) — NexusTaxTypeGroupId for Nexus of Jurisdiction
- `taxName` (string, optional) — TaxName for Nexus of Jurisdiction
- `taxableNexus` (boolean, optional) — Shows if system nexus records are associated with tax collection

## Examples

**Response**

```json
{
  "@recordsetCount": 1,
  "value": [
    {
      "code": "53",
      "name": "WASHINGTON",
      "type": "Country",
      "signatureCode": "",
      "parentId": 1,
      "nexus": [
        {
          "taxTypeGroupId": "Alcohol",
          "nexusTaxTypeGroupId": "Excise",
          "taxName": "Excise Tax",
          "taxableNexus": true
        }
      ],
      "rate": 0.06,
      "salesRate": 0.06,
      "region": "WA",
      "useRate": 0.06,
      "city": "string",
      "county": "string",
      "country": "string",
      "shortName": "string",
      "stateFips": "string",
      "countyFips": "string",
      "placeFips": "string",
      "id": 1,
      "effectiveDate": "2024-01-15T09:30:00Z",
      "endDate": "2024-01-15T09:30:00Z",
      "isAcm": true,
      "isSst": true,
      "createDate": "2024-01-15T09:30:00Z",
      "isLocalAdmin": true,
      "modifiedDate": "0001-01-01T00:00:00",
      "taxAuthorityTypeId": 1
    }
  ],
  "@nextLink": "string",
  "pageKey": "string"
}
```

**SDK Code**

```python
import requests

url = "https://rest.avatax.com/api/v2/definitions/jurisdictions/hierarchy"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.avatax.com/api/v2/definitions/jurisdictions/hierarchy';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.avatax.com/api/v2/definitions/jurisdictions/hierarchy"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.avatax.com/api/v2/definitions/jurisdictions/hierarchy")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.avatax.com/api/v2/definitions/jurisdictions/hierarchy")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.avatax.com/api/v2/definitions/jurisdictions/hierarchy', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.avatax.com/api/v2/definitions/jurisdictions/hierarchy");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.avatax.com/api/v2/definitions/jurisdictions/hierarchy")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```